Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network204.8.128.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
204.8.128.0
Broadcast address
204.8.191.255
First usable
204.8.128.1
Last usable
204.8.191.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
C (default /24)
As numbers
Hex CC088000 · Integer 3423109120 to 3423125503
Reverse DNS zones
128.8.204.in-addr.arpa
129.8.204.in-addr.arpa
130.8.204.in-addr.arpa
131.8.204.in-addr.arpa
132.8.204.in-addr.arpa
133.8.204.in-addr.arpa
134.8.204.in-addr.arpa
135.8.204.in-addr.arpa
136.8.204.in-addr.arpa
137.8.204.in-addr.arpa
138.8.204.in-addr.arpa
139.8.204.in-addr.arpa
140.8.204.in-addr.arpa
141.8.204.in-addr.arpa
142.8.204.in-addr.arpa
143.8.204.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001100.00001000.10000000.00000000204.8.128.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11001100.00001000.10000000.00000000204.8.128.0
Broadcast11001100.00001000.10111111.11111111204.8.191.255
Split into smaller subnets/27

204.8.128.0/18 makes 512 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1204.8.128.0/27204.8.128.1 to 204.8.128.30204.8.128.3130
2204.8.128.32/27204.8.128.33 to 204.8.128.62204.8.128.6330
3204.8.128.64/27204.8.128.65 to 204.8.128.94204.8.128.9530
4204.8.128.96/27204.8.128.97 to 204.8.128.126204.8.128.12730
5204.8.128.128/27204.8.128.129 to 204.8.128.158204.8.128.15930
6204.8.128.160/27204.8.128.161 to 204.8.128.190204.8.128.19130
7204.8.128.192/27204.8.128.193 to 204.8.128.222204.8.128.22330
8204.8.128.224/27204.8.128.225 to 204.8.128.254204.8.128.25530
9204.8.129.0/27204.8.129.1 to 204.8.129.30204.8.129.3130
10204.8.129.32/27204.8.129.33 to 204.8.129.62204.8.129.6330
11204.8.129.64/27204.8.129.65 to 204.8.129.94204.8.129.9530
12204.8.129.96/27204.8.129.97 to 204.8.129.126204.8.129.12730
13204.8.129.128/27204.8.129.129 to 204.8.129.158204.8.129.15930
14204.8.129.160/27204.8.129.161 to 204.8.129.190204.8.129.19130
15204.8.129.192/27204.8.129.193 to 204.8.129.222204.8.129.22330
16204.8.129.224/27204.8.129.225 to 204.8.129.254204.8.129.25530
17204.8.130.0/27204.8.130.1 to 204.8.130.30204.8.130.3130
18204.8.130.32/27204.8.130.33 to 204.8.130.62204.8.130.6330
19204.8.130.64/27204.8.130.65 to 204.8.130.94204.8.130.9530
20204.8.130.96/27204.8.130.97 to 204.8.130.126204.8.130.12730
21204.8.130.128/27204.8.130.129 to 204.8.130.158204.8.130.15930
22204.8.130.160/27204.8.130.161 to 204.8.130.190204.8.130.19130
23204.8.130.192/27204.8.130.193 to 204.8.130.222204.8.130.22330
24204.8.130.224/27204.8.130.225 to 204.8.130.254204.8.130.25530
25204.8.131.0/27204.8.131.1 to 204.8.131.30204.8.131.3130
26204.8.131.32/27204.8.131.33 to 204.8.131.62204.8.131.6330
27204.8.131.64/27204.8.131.65 to 204.8.131.94204.8.131.9530
28204.8.131.96/27204.8.131.97 to 204.8.131.126204.8.131.12730
29204.8.131.128/27204.8.131.129 to 204.8.131.158204.8.131.15930
30204.8.131.160/27204.8.131.161 to 204.8.131.190204.8.131.19130
31204.8.131.192/27204.8.131.193 to 204.8.131.222204.8.131.22330
32204.8.131.224/27204.8.131.225 to 204.8.131.254204.8.131.25530
33204.8.132.0/27204.8.132.1 to 204.8.132.30204.8.132.3130
34204.8.132.32/27204.8.132.33 to 204.8.132.62204.8.132.6330
35204.8.132.64/27204.8.132.65 to 204.8.132.94204.8.132.9530
36204.8.132.96/27204.8.132.97 to 204.8.132.126204.8.132.12730
37204.8.132.128/27204.8.132.129 to 204.8.132.158204.8.132.15930
38204.8.132.160/27204.8.132.161 to 204.8.132.190204.8.132.19130
39204.8.132.192/27204.8.132.193 to 204.8.132.222204.8.132.22330
40204.8.132.224/27204.8.132.225 to 204.8.132.254204.8.132.25530
41204.8.133.0/27204.8.133.1 to 204.8.133.30204.8.133.3130
42204.8.133.32/27204.8.133.33 to 204.8.133.62204.8.133.6330
43204.8.133.64/27204.8.133.65 to 204.8.133.94204.8.133.9530
44204.8.133.96/27204.8.133.97 to 204.8.133.126204.8.133.12730
45204.8.133.128/27204.8.133.129 to 204.8.133.158204.8.133.15930
46204.8.133.160/27204.8.133.161 to 204.8.133.190204.8.133.19130
47204.8.133.192/27204.8.133.193 to 204.8.133.222204.8.133.22330
48204.8.133.224/27204.8.133.225 to 204.8.133.254204.8.133.25530
49204.8.134.0/27204.8.134.1 to 204.8.134.30204.8.134.3130
50204.8.134.32/27204.8.134.33 to 204.8.134.62204.8.134.6330
51204.8.134.64/27204.8.134.65 to 204.8.134.94204.8.134.9530
52204.8.134.96/27204.8.134.97 to 204.8.134.126204.8.134.12730
53204.8.134.128/27204.8.134.129 to 204.8.134.158204.8.134.15930
54204.8.134.160/27204.8.134.161 to 204.8.134.190204.8.134.19130
55204.8.134.192/27204.8.134.193 to 204.8.134.222204.8.134.22330
56204.8.134.224/27204.8.134.225 to 204.8.134.254204.8.134.25530
57204.8.135.0/27204.8.135.1 to 204.8.135.30204.8.135.3130
58204.8.135.32/27204.8.135.33 to 204.8.135.62204.8.135.6330
59204.8.135.64/27204.8.135.65 to 204.8.135.94204.8.135.9530
60204.8.135.96/27204.8.135.97 to 204.8.135.126204.8.135.12730
61204.8.135.128/27204.8.135.129 to 204.8.135.158204.8.135.15930
62204.8.135.160/27204.8.135.161 to 204.8.135.190204.8.135.19130
63204.8.135.192/27204.8.135.193 to 204.8.135.222204.8.135.22330
64204.8.135.224/27204.8.135.225 to 204.8.135.254204.8.135.25530
65204.8.136.0/27204.8.136.1 to 204.8.136.30204.8.136.3130
66204.8.136.32/27204.8.136.33 to 204.8.136.62204.8.136.6330
67204.8.136.64/27204.8.136.65 to 204.8.136.94204.8.136.9530
68204.8.136.96/27204.8.136.97 to 204.8.136.126204.8.136.12730
69204.8.136.128/27204.8.136.129 to 204.8.136.158204.8.136.15930
70204.8.136.160/27204.8.136.161 to 204.8.136.190204.8.136.19130
71204.8.136.192/27204.8.136.193 to 204.8.136.222204.8.136.22330
72204.8.136.224/27204.8.136.225 to 204.8.136.254204.8.136.25530
73204.8.137.0/27204.8.137.1 to 204.8.137.30204.8.137.3130
74204.8.137.32/27204.8.137.33 to 204.8.137.62204.8.137.6330
75204.8.137.64/27204.8.137.65 to 204.8.137.94204.8.137.9530
76204.8.137.96/27204.8.137.97 to 204.8.137.126204.8.137.12730
77204.8.137.128/27204.8.137.129 to 204.8.137.158204.8.137.15930
78204.8.137.160/27204.8.137.161 to 204.8.137.190204.8.137.19130
79204.8.137.192/27204.8.137.193 to 204.8.137.222204.8.137.22330
80204.8.137.224/27204.8.137.225 to 204.8.137.254204.8.137.25530
81204.8.138.0/27204.8.138.1 to 204.8.138.30204.8.138.3130
82204.8.138.32/27204.8.138.33 to 204.8.138.62204.8.138.6330
83204.8.138.64/27204.8.138.65 to 204.8.138.94204.8.138.9530
84204.8.138.96/27204.8.138.97 to 204.8.138.126204.8.138.12730
85204.8.138.128/27204.8.138.129 to 204.8.138.158204.8.138.15930
86204.8.138.160/27204.8.138.161 to 204.8.138.190204.8.138.19130
87204.8.138.192/27204.8.138.193 to 204.8.138.222204.8.138.22330
88204.8.138.224/27204.8.138.225 to 204.8.138.254204.8.138.25530
89204.8.139.0/27204.8.139.1 to 204.8.139.30204.8.139.3130
90204.8.139.32/27204.8.139.33 to 204.8.139.62204.8.139.6330
91204.8.139.64/27204.8.139.65 to 204.8.139.94204.8.139.9530
92204.8.139.96/27204.8.139.97 to 204.8.139.126204.8.139.12730
93204.8.139.128/27204.8.139.129 to 204.8.139.158204.8.139.15930
94204.8.139.160/27204.8.139.161 to 204.8.139.190204.8.139.19130
95204.8.139.192/27204.8.139.193 to 204.8.139.222204.8.139.22330
96204.8.139.224/27204.8.139.225 to 204.8.139.254204.8.139.25530
97204.8.140.0/27204.8.140.1 to 204.8.140.30204.8.140.3130
98204.8.140.32/27204.8.140.33 to 204.8.140.62204.8.140.6330
99204.8.140.64/27204.8.140.65 to 204.8.140.94204.8.140.9530
100204.8.140.96/27204.8.140.97 to 204.8.140.126204.8.140.12730
101204.8.140.128/27204.8.140.129 to 204.8.140.158204.8.140.15930
102204.8.140.160/27204.8.140.161 to 204.8.140.190204.8.140.19130
103204.8.140.192/27204.8.140.193 to 204.8.140.222204.8.140.22330
104204.8.140.224/27204.8.140.225 to 204.8.140.254204.8.140.25530
105204.8.141.0/27204.8.141.1 to 204.8.141.30204.8.141.3130
106204.8.141.32/27204.8.141.33 to 204.8.141.62204.8.141.6330
107204.8.141.64/27204.8.141.65 to 204.8.141.94204.8.141.9530
108204.8.141.96/27204.8.141.97 to 204.8.141.126204.8.141.12730
109204.8.141.128/27204.8.141.129 to 204.8.141.158204.8.141.15930
110204.8.141.160/27204.8.141.161 to 204.8.141.190204.8.141.19130
111204.8.141.192/27204.8.141.193 to 204.8.141.222204.8.141.22330
112204.8.141.224/27204.8.141.225 to 204.8.141.254204.8.141.25530
113204.8.142.0/27204.8.142.1 to 204.8.142.30204.8.142.3130
114204.8.142.32/27204.8.142.33 to 204.8.142.62204.8.142.6330
115204.8.142.64/27204.8.142.65 to 204.8.142.94204.8.142.9530
116204.8.142.96/27204.8.142.97 to 204.8.142.126204.8.142.12730
117204.8.142.128/27204.8.142.129 to 204.8.142.158204.8.142.15930
118204.8.142.160/27204.8.142.161 to 204.8.142.190204.8.142.19130
119204.8.142.192/27204.8.142.193 to 204.8.142.222204.8.142.22330
120204.8.142.224/27204.8.142.225 to 204.8.142.254204.8.142.25530
121204.8.143.0/27204.8.143.1 to 204.8.143.30204.8.143.3130
122204.8.143.32/27204.8.143.33 to 204.8.143.62204.8.143.6330
123204.8.143.64/27204.8.143.65 to 204.8.143.94204.8.143.9530
124204.8.143.96/27204.8.143.97 to 204.8.143.126204.8.143.12730
125204.8.143.128/27204.8.143.129 to 204.8.143.158204.8.143.15930
126204.8.143.160/27204.8.143.161 to 204.8.143.190204.8.143.19130
127204.8.143.192/27204.8.143.193 to 204.8.143.222204.8.143.22330
128204.8.143.224/27204.8.143.225 to 204.8.143.254204.8.143.25530
129204.8.144.0/27204.8.144.1 to 204.8.144.30204.8.144.3130
130204.8.144.32/27204.8.144.33 to 204.8.144.62204.8.144.6330
131204.8.144.64/27204.8.144.65 to 204.8.144.94204.8.144.9530
132204.8.144.96/27204.8.144.97 to 204.8.144.126204.8.144.12730
133204.8.144.128/27204.8.144.129 to 204.8.144.158204.8.144.15930
134204.8.144.160/27204.8.144.161 to 204.8.144.190204.8.144.19130
135204.8.144.192/27204.8.144.193 to 204.8.144.222204.8.144.22330
136204.8.144.224/27204.8.144.225 to 204.8.144.254204.8.144.25530
137204.8.145.0/27204.8.145.1 to 204.8.145.30204.8.145.3130
138204.8.145.32/27204.8.145.33 to 204.8.145.62204.8.145.6330
139204.8.145.64/27204.8.145.65 to 204.8.145.94204.8.145.9530
140204.8.145.96/27204.8.145.97 to 204.8.145.126204.8.145.12730
141204.8.145.128/27204.8.145.129 to 204.8.145.158204.8.145.15930
142204.8.145.160/27204.8.145.161 to 204.8.145.190204.8.145.19130
143204.8.145.192/27204.8.145.193 to 204.8.145.222204.8.145.22330
144204.8.145.224/27204.8.145.225 to 204.8.145.254204.8.145.25530
145204.8.146.0/27204.8.146.1 to 204.8.146.30204.8.146.3130
146204.8.146.32/27204.8.146.33 to 204.8.146.62204.8.146.6330
147204.8.146.64/27204.8.146.65 to 204.8.146.94204.8.146.9530
148204.8.146.96/27204.8.146.97 to 204.8.146.126204.8.146.12730
149204.8.146.128/27204.8.146.129 to 204.8.146.158204.8.146.15930
150204.8.146.160/27204.8.146.161 to 204.8.146.190204.8.146.19130
151204.8.146.192/27204.8.146.193 to 204.8.146.222204.8.146.22330
152204.8.146.224/27204.8.146.225 to 204.8.146.254204.8.146.25530
153204.8.147.0/27204.8.147.1 to 204.8.147.30204.8.147.3130
154204.8.147.32/27204.8.147.33 to 204.8.147.62204.8.147.6330
155204.8.147.64/27204.8.147.65 to 204.8.147.94204.8.147.9530
156204.8.147.96/27204.8.147.97 to 204.8.147.126204.8.147.12730
157204.8.147.128/27204.8.147.129 to 204.8.147.158204.8.147.15930
158204.8.147.160/27204.8.147.161 to 204.8.147.190204.8.147.19130
159204.8.147.192/27204.8.147.193 to 204.8.147.222204.8.147.22330
160204.8.147.224/27204.8.147.225 to 204.8.147.254204.8.147.25530
161204.8.148.0/27204.8.148.1 to 204.8.148.30204.8.148.3130
162204.8.148.32/27204.8.148.33 to 204.8.148.62204.8.148.6330
163204.8.148.64/27204.8.148.65 to 204.8.148.94204.8.148.9530
164204.8.148.96/27204.8.148.97 to 204.8.148.126204.8.148.12730
165204.8.148.128/27204.8.148.129 to 204.8.148.158204.8.148.15930
166204.8.148.160/27204.8.148.161 to 204.8.148.190204.8.148.19130
167204.8.148.192/27204.8.148.193 to 204.8.148.222204.8.148.22330
168204.8.148.224/27204.8.148.225 to 204.8.148.254204.8.148.25530
169204.8.149.0/27204.8.149.1 to 204.8.149.30204.8.149.3130
170204.8.149.32/27204.8.149.33 to 204.8.149.62204.8.149.6330
171204.8.149.64/27204.8.149.65 to 204.8.149.94204.8.149.9530
172204.8.149.96/27204.8.149.97 to 204.8.149.126204.8.149.12730
173204.8.149.128/27204.8.149.129 to 204.8.149.158204.8.149.15930
174204.8.149.160/27204.8.149.161 to 204.8.149.190204.8.149.19130
175204.8.149.192/27204.8.149.193 to 204.8.149.222204.8.149.22330
176204.8.149.224/27204.8.149.225 to 204.8.149.254204.8.149.25530
177204.8.150.0/27204.8.150.1 to 204.8.150.30204.8.150.3130
178204.8.150.32/27204.8.150.33 to 204.8.150.62204.8.150.6330
179204.8.150.64/27204.8.150.65 to 204.8.150.94204.8.150.9530
180204.8.150.96/27204.8.150.97 to 204.8.150.126204.8.150.12730
181204.8.150.128/27204.8.150.129 to 204.8.150.158204.8.150.15930
182204.8.150.160/27204.8.150.161 to 204.8.150.190204.8.150.19130
183204.8.150.192/27204.8.150.193 to 204.8.150.222204.8.150.22330
184204.8.150.224/27204.8.150.225 to 204.8.150.254204.8.150.25530
185204.8.151.0/27204.8.151.1 to 204.8.151.30204.8.151.3130
186204.8.151.32/27204.8.151.33 to 204.8.151.62204.8.151.6330
187204.8.151.64/27204.8.151.65 to 204.8.151.94204.8.151.9530
188204.8.151.96/27204.8.151.97 to 204.8.151.126204.8.151.12730
189204.8.151.128/27204.8.151.129 to 204.8.151.158204.8.151.15930
190204.8.151.160/27204.8.151.161 to 204.8.151.190204.8.151.19130
191204.8.151.192/27204.8.151.193 to 204.8.151.222204.8.151.22330
192204.8.151.224/27204.8.151.225 to 204.8.151.254204.8.151.25530
193204.8.152.0/27204.8.152.1 to 204.8.152.30204.8.152.3130
194204.8.152.32/27204.8.152.33 to 204.8.152.62204.8.152.6330
195204.8.152.64/27204.8.152.65 to 204.8.152.94204.8.152.9530
196204.8.152.96/27204.8.152.97 to 204.8.152.126204.8.152.12730
197204.8.152.128/27204.8.152.129 to 204.8.152.158204.8.152.15930
198204.8.152.160/27204.8.152.161 to 204.8.152.190204.8.152.19130
199204.8.152.192/27204.8.152.193 to 204.8.152.222204.8.152.22330
200204.8.152.224/27204.8.152.225 to 204.8.152.254204.8.152.25530
201204.8.153.0/27204.8.153.1 to 204.8.153.30204.8.153.3130
202204.8.153.32/27204.8.153.33 to 204.8.153.62204.8.153.6330
203204.8.153.64/27204.8.153.65 to 204.8.153.94204.8.153.9530
204204.8.153.96/27204.8.153.97 to 204.8.153.126204.8.153.12730
205204.8.153.128/27204.8.153.129 to 204.8.153.158204.8.153.15930
206204.8.153.160/27204.8.153.161 to 204.8.153.190204.8.153.19130
207204.8.153.192/27204.8.153.193 to 204.8.153.222204.8.153.22330
208204.8.153.224/27204.8.153.225 to 204.8.153.254204.8.153.25530
209204.8.154.0/27204.8.154.1 to 204.8.154.30204.8.154.3130
210204.8.154.32/27204.8.154.33 to 204.8.154.62204.8.154.6330
211204.8.154.64/27204.8.154.65 to 204.8.154.94204.8.154.9530
212204.8.154.96/27204.8.154.97 to 204.8.154.126204.8.154.12730
213204.8.154.128/27204.8.154.129 to 204.8.154.158204.8.154.15930
214204.8.154.160/27204.8.154.161 to 204.8.154.190204.8.154.19130
215204.8.154.192/27204.8.154.193 to 204.8.154.222204.8.154.22330
216204.8.154.224/27204.8.154.225 to 204.8.154.254204.8.154.25530
217204.8.155.0/27204.8.155.1 to 204.8.155.30204.8.155.3130
218204.8.155.32/27204.8.155.33 to 204.8.155.62204.8.155.6330
219204.8.155.64/27204.8.155.65 to 204.8.155.94204.8.155.9530
220204.8.155.96/27204.8.155.97 to 204.8.155.126204.8.155.12730
221204.8.155.128/27204.8.155.129 to 204.8.155.158204.8.155.15930
222204.8.155.160/27204.8.155.161 to 204.8.155.190204.8.155.19130
223204.8.155.192/27204.8.155.193 to 204.8.155.222204.8.155.22330
224204.8.155.224/27204.8.155.225 to 204.8.155.254204.8.155.25530
225204.8.156.0/27204.8.156.1 to 204.8.156.30204.8.156.3130
226204.8.156.32/27204.8.156.33 to 204.8.156.62204.8.156.6330
227204.8.156.64/27204.8.156.65 to 204.8.156.94204.8.156.9530
228204.8.156.96/27204.8.156.97 to 204.8.156.126204.8.156.12730
229204.8.156.128/27204.8.156.129 to 204.8.156.158204.8.156.15930
230204.8.156.160/27204.8.156.161 to 204.8.156.190204.8.156.19130
231204.8.156.192/27204.8.156.193 to 204.8.156.222204.8.156.22330
232204.8.156.224/27204.8.156.225 to 204.8.156.254204.8.156.25530
233204.8.157.0/27204.8.157.1 to 204.8.157.30204.8.157.3130
234204.8.157.32/27204.8.157.33 to 204.8.157.62204.8.157.6330
235204.8.157.64/27204.8.157.65 to 204.8.157.94204.8.157.9530
236204.8.157.96/27204.8.157.97 to 204.8.157.126204.8.157.12730
237204.8.157.128/27204.8.157.129 to 204.8.157.158204.8.157.15930
238204.8.157.160/27204.8.157.161 to 204.8.157.190204.8.157.19130
239204.8.157.192/27204.8.157.193 to 204.8.157.222204.8.157.22330
240204.8.157.224/27204.8.157.225 to 204.8.157.254204.8.157.25530
241204.8.158.0/27204.8.158.1 to 204.8.158.30204.8.158.3130
242204.8.158.32/27204.8.158.33 to 204.8.158.62204.8.158.6330
243204.8.158.64/27204.8.158.65 to 204.8.158.94204.8.158.9530
244204.8.158.96/27204.8.158.97 to 204.8.158.126204.8.158.12730
245204.8.158.128/27204.8.158.129 to 204.8.158.158204.8.158.15930
246204.8.158.160/27204.8.158.161 to 204.8.158.190204.8.158.19130
247204.8.158.192/27204.8.158.193 to 204.8.158.222204.8.158.22330
248204.8.158.224/27204.8.158.225 to 204.8.158.254204.8.158.25530
249204.8.159.0/27204.8.159.1 to 204.8.159.30204.8.159.3130
250204.8.159.32/27204.8.159.33 to 204.8.159.62204.8.159.6330
251204.8.159.64/27204.8.159.65 to 204.8.159.94204.8.159.9530
252204.8.159.96/27204.8.159.97 to 204.8.159.126204.8.159.12730
253204.8.159.128/27204.8.159.129 to 204.8.159.158204.8.159.15930
254204.8.159.160/27204.8.159.161 to 204.8.159.190204.8.159.19130
255204.8.159.192/27204.8.159.193 to 204.8.159.222204.8.159.22330
256204.8.159.224/27204.8.159.225 to 204.8.159.254204.8.159.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses